Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class RequestFacade

    java.lang.Object
      |
      +--org.apache.catalina.connector.RequestFacade

Direct Known Subclasses:
  HttpRequestFacade

public class RequestFacade
extends java.lang.Object
implements javax.servlet.ServletRequest

Facade class that wraps a Catalina-internal Request object. All methods are delegated to the wrapped request.

Version:
  $Revision: 1.2.2.1 $ $Date: 2001/10/16 03:51:46 $
Author:
  Craig R. McClanahan, Remy Maucherat

Field Summary
`protected javax.servlet.ServletRequest` | `request` The wrapped request.

Constructor Summary
`RequestFacade(Request request)` Construct a wrapper for the specified request.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`java.lang.String` | `getCharacterEncoding()`
`int` | `getContentLength()`
`java.lang.String` | `getContentType()`
`javax.servlet.ServletInputStream` | `getInputStream()`
`java.util.Locale` | `getLocale()`
`java.util.Enumeration` | `getLocales()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map` | `getParameterMap()`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`java.lang.String` | `getProtocol()`
`java.io.BufferedReader` | `getReader()`
`java.lang.String` | `getRealPath(java.lang.String path)`
`java.lang.String` | `getRemoteAddr()`
`java.lang.String` | `getRemoteHost()`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String path)`
`java.lang.String` | `getScheme()`
`java.lang.String` | `getServerName()`
`int` | `getServerPort()`
`boolean` | `isSecure()`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object o)`
`void` | `setCharacterEncoding(java.lang.String env)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected javax.servlet.ServletRequest request

  The wrapped request.

Constructor Detail

### RequestFacade

    public RequestFacade(Request request)

  Construct a wrapper for the specified request.
  Parameters:
    `request` - The request to be wrapped

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    getAttribute in interface javax.servlet.ServletRequest

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    getAttributeNames in interface javax.servlet.ServletRequest

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    getCharacterEncoding in interface javax.servlet.ServletRequest

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String env)
                              throws java.io.UnsupportedEncodingException

  Specified by:
    setCharacterEncoding in interface javax.servlet.ServletRequest

### getContentLength

    public int getContentLength()

  Specified by:
    getContentLength in interface javax.servlet.ServletRequest

### getContentType

    public java.lang.String getContentType()

  Specified by:
    getContentType in interface javax.servlet.ServletRequest

### getInputStream

    public javax.servlet.ServletInputStream getInputStream()
                                                    throws java.io.IOException

  Specified by:
    getInputStream in interface javax.servlet.ServletRequest

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Specified by:
    getParameter in interface javax.servlet.ServletRequest

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Specified by:
    getParameterNames in interface javax.servlet.ServletRequest

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Specified by:
    getParameterValues in interface javax.servlet.ServletRequest

### getParameterMap

    public java.util.Map getParameterMap()

  Specified by:
    getParameterMap in interface javax.servlet.ServletRequest

### getProtocol

    public java.lang.String getProtocol()

  Specified by:
    getProtocol in interface javax.servlet.ServletRequest

### getScheme

    public java.lang.String getScheme()

  Specified by:
    getScheme in interface javax.servlet.ServletRequest

### getServerName

    public java.lang.String getServerName()

  Specified by:
    getServerName in interface javax.servlet.ServletRequest

### getServerPort

    public int getServerPort()

  Specified by:
    getServerPort in interface javax.servlet.ServletRequest

### getReader

    public java.io.BufferedReader getReader()
                                     throws java.io.IOException

  Specified by:
    getReader in interface javax.servlet.ServletRequest

### getRemoteAddr

    public java.lang.String getRemoteAddr()

  Specified by:
    getRemoteAddr in interface javax.servlet.ServletRequest

### getRemoteHost

    public java.lang.String getRemoteHost()

  Specified by:
    getRemoteHost in interface javax.servlet.ServletRequest

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object o)

  Specified by:
    setAttribute in interface javax.servlet.ServletRequest

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    removeAttribute in interface javax.servlet.ServletRequest

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    getLocale in interface javax.servlet.ServletRequest

### getLocales

    public java.util.Enumeration getLocales()

  Specified by:
    getLocales in interface javax.servlet.ServletRequest

### isSecure

    public boolean isSecure()

  Specified by:
    isSecure in interface javax.servlet.ServletRequest

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String path)

  Specified by:
    getRequestDispatcher in interface javax.servlet.ServletRequest

### getRealPath

    public java.lang.String getRealPath(java.lang.String path)

  Specified by:
    getRealPath in interface javax.servlet.ServletRequest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.